
From: Adrian Bunk <bunk@stusta.de>

These three functions are referenced from the __devinitdata
sis5513_chipset.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/pci/sis5513.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/ide/pci/sis5513.c~drivers-ide-pci-sis5513c-section-fixes drivers/ide/pci/sis5513.c
--- 25/drivers/ide/pci/sis5513.c~drivers-ide-pci-sis5513c-section-fixes	2005-04-30 13:26:05.652302984 -0700
+++ 25-akpm/drivers/ide/pci/sis5513.c	2005-04-30 13:26:05.656302376 -0700
@@ -726,7 +726,7 @@ static int sis5513_config_xfer_rate (ide
 */
 
 /* Chip detection and general config */
-static unsigned int __init init_chipset_sis5513 (struct pci_dev *dev, const char *name)
+static unsigned int __devinit init_chipset_sis5513 (struct pci_dev *dev, const char *name)
 {
 	struct pci_dev *host;
 	int i = 0;
@@ -879,7 +879,7 @@ static unsigned int __init init_chipset_
 	return 0;
 }
 
-static unsigned int __init ata66_sis5513 (ide_hwif_t *hwif)
+static unsigned int __devinit ata66_sis5513 (ide_hwif_t *hwif)
 {
 	u8 ata66 = 0;
 
@@ -897,7 +897,7 @@ static unsigned int __init ata66_sis5513
         return ata66;
 }
 
-static void __init init_hwif_sis5513 (ide_hwif_t *hwif)
+static void __devinit init_hwif_sis5513 (ide_hwif_t *hwif)
 {
 	hwif->autodma = 0;
 
_
